Package org.eclipse.core.databinding.validation

# Class ValidationStatus

java.lang.Object
org.eclipse.core.runtime.Status
org.eclipse.core.databinding.validation.ValidationStatus

All Implemented Interfaces:
  `IStatus`

public class ValidationStatus extends Status
Convenience class for creating status objects.

Since:
  3.3

## Field Summary

### Fields inherited from class org.eclipse.core.runtime.Status

`CANCEL_STATUS, OK_STATUS`

### Fields inherited from interface org.eclipse.core.runtime.IStatus

`CANCEL, ERROR, INFO, OK, WARNING`

## Method Summary

Modifier and Type
Method
Description
`static IStatus`
`cancel(String message)`
Creates a new validation cancel status with the given message.
`boolean`
`equals(Object obj)`
Equality is based upon instance equality rather than identity.
`static IStatus`
`error(String message)`
Creates a new validation error status with the given message.
`static IStatus`
`error(String message, Throwable exception)`
Creates a new validation error status with the given message and exception.
`int`
`hashCode()`
`static IStatus`
`info(String message)`
Creates a new validation info status with the given message.
`static IStatus`
`ok()`
Returns an OK status.
`static IStatus`
`warning(String message)`
Creates a new validation warning status with the given message.

### Methods inherited from class org.eclipse.core.runtime.Status

`getChildren, getCode, getException, getMessage, getPlugin, getSeverity, isMultiStatus, isOK, matches, setCode, setException, setMessage, setPlugin, setSeverity, toString, warning`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Method Details

### error

public static IStatus error(String message)
Creates a new validation error status with the given message.

Parameters:
  `message` - the validation message
Returns:
  a new error status with the given message

### cancel

public static IStatus cancel(String message)
Creates a new validation cancel status with the given message.

Parameters:
  `message` - the validation message
Returns:
  a new cancel status with the given message

### error

public static IStatus error(String message, Throwable exception)
Creates a new validation error status with the given message and exception.

Parameters:
  `message` - the validation message
  `exception` - the validation exception
Returns:
  a new error status with the given message and exception

### warning

public static IStatus warning(String message)
Creates a new validation warning status with the given message.

Parameters:
  `message` - the validation message
Returns:
  a new warning status with the given message

### info

public static IStatus info(String message)
Creates a new validation info status with the given message.

Parameters:
  `message` - the validation message
Returns:
  a new info status with the given message

### ok

public static IStatus ok()
Returns an OK status.

Returns:
  an ok status

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)
Equality is based upon instance equality rather than identity.

Overrides:
  `equals` in class `Object`